import { BehaviorSubject, Observable } from 'rxjs';
/**
 * Subscribe to Observable
 */
export declare function useObservable<State>(obs$: Observable<State>, setState: (state: State) => any): void;
/**
 * Subscribe to Observable with useState included
 */
export declare function useObservableState<State>(obs$: Observable<State>, initialState?: State): State;
/**
 * Subscribe to BehaviorSubject
 */
export declare function useSubject<State>(sub$: BehaviorSubject<State>): State;
